!set title=Matriz 3x3 con parámetros
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r
varcnt=15
prevarcnt=14
postvarcnt=0
replycnt=2
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=$[rint(10)]
val7=$[rint($val6/2)]
tmp0=!randitem 1,2

val8=$[rint($(tmp0))]
tmp0=!item $val8 of s,t

val9=$(tmp0)
tmp0=!item $val8 of t,s

val10=$(tmp0)
tmp0=!randint -$val6, $val6

val11=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val12=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

tmp1=!randint -$val7, $val7

tmp2=!randint -$val7, $val7

tmp3=!randint -$val6, $val6

tmp4=!randint -$val7, $val7

tmp5=!randint -$val6, $val6

tmp6=!randint -$val6, $val6

tmp=!trim $(tmp0),2*$(tmp1)+1,2*$(tmp2)	$(tmp3),$val9,2*$(tmp4)+1	$val10,$(tmp5),$(tmp6)
val13=!translate internal $	\
$ to ;; in $tmp
tmp0=!shuffle 3

val14=$(tmp0)
tmp0=!randitem 1,2


!ifval $(tmp0)=1
t_=!replace internal \( by ( in print(vecextract([$val13],[$val14],[$val14]))
tmp1=!exec pari $t_

tmp=!trim $(tmp1)
val13=!translate internal $	\
$ to ;; in $tmp
!else
t_=!replace internal \( by ( in print(vecextract([$val13]~,[$val14],[$val14]))
tmp2=!exec pari $t_

tmp=!trim 	 $(tmp2)
val13=!translate internal $	\
$ to ;; in $tmp
!endif
tmp0=!replace internal s by $val11 in $val13

val15=$(tmp0)
tmp0=!replace internal t by $val12 in $val15

val15=$(tmp0)
t_=!replace internal \( by ( in trace([$val15])
tmp0=!exec pari $t_

val16=$[rint($(tmp0))]
t_=!replace internal \( by ( in matdet([$val15])
tmp0=!exec pari $t_

val17=$[rint($(tmp0))]
replyname1=<i>s</i>
replygood1=$val11
replyname2=<i>t</i>
replygood2=$val12
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Encontrar el valor de los parámetros 
!insmath s
$() y 
!insmath t
$() tales que	la matriz	<center>
!insmath A=[$val13]
$()</center>	verifique det
!insmath (A) = $val17
$() y traza
!insmath (A)=$val16
$().
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=13,16,17
embedcnt=0
